devguard

Business roles

Get a list of paginated business roles.

GET
/business-roles/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Query Parameters

limit?number
Default100
Range5 <= value
page?number
Default1
Range1 <= value
organizationId*string
orderByName?string
Value in"asc" | "desc"
filterByName?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://app.devguard.ch/api/business-roles/?organizationId=string"
{
  "items": [
    {
      "id": "string",
      "slug": "string",
      "name": "string",
      "description": "string",
      "organizationId": "string",
      "users": [
        "string"
      ]
    }
  ],
  "total": 0,
  "page": 0,
  "limit": 0
}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

How is this guide?